---
lang: en
title: 'API docs: http-caching-proxy.httpcachingproxy'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/http-caching-proxy
permalink: /doc/en/lb4/apidocs.http-caching-proxy.httpcachingproxy.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/http-caching-proxy](./http-caching-proxy.md) &gt; [HttpCachingProxy](./http-caching-proxy.httpcachingproxy.md)

## HttpCachingProxy class

The HTTP proxy implementation.

**Signature:**

```typescript
export declare class HttpCachingProxy 
```

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(options)](./http-caching-proxy.httpcachingproxy._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `HttpCachingProxy` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[url](./http-caching-proxy.httpcachingproxy.url.md)


</td><td>


</td><td>

string


</td><td>

URL where the proxy is listening on. Provide this value to your HTTP client as the proxy configuration.


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[logError(request, error)](./http-caching-proxy.httpcachingproxy.logerror.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[start()](./http-caching-proxy.httpcachingproxy.start.md)


</td><td>


</td><td>

Start listening.


</td></tr>
<tr><td>

[stop()](./http-caching-proxy.httpcachingproxy.stop.md)


</td><td>


</td><td>

Stop listening.


</td></tr>
</tbody></table>

